> For the complete documentation index, see [llms.txt](https://docs.nulink.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nulink.org/products/dapp_builders.md).

# NuLink for DApp Builders

If you are new to the NuLink network and looking to develop a privacy-preserving Dapp, we recommend using the NuLink Agent directly. Integrating the NuLink Agent-SDK into your Dapp will automatically enable communication between your Dapp and the NuLink Agent.

If you already have a deeper understanding of the NuLink network, you can utilize the NuLink SDK to perform more fundamental operations in developing your Dapp. We offer a demonstration Dapp to exhibit the seamless integration of the NuLink SDK into applications.

## Using NuLink Agent-SDK

To start developing your Dapp with the NuLink Agent-SDK, follow these steps:

1. **Read the Documentation:** Explore the [NuLink Agent-SDK documentation](/products/dapp_builders/agent_sdk.md) to understand the functionalities and usage of the NuLink Agent-SDK.
2. **Integrate NuLink Agent-SDK:** Follow the integration guide provided in the documentation to seamlessly incorporate the NuLink Agent-SDK into your Dapp.
3. **Explore Demonstration Dapp:** Refer to the [NuLink Agent-SDK Demonstration Dapp](/products/dapp_users/agent_usecase.md) to get a hands-on tutorial on how Dapps interact with the [NuLink Agent](/products/dapp_users/nulink_agent.md) in a real-world scenario.

## Using NuLink SDK

For Dapp builders with a deeper understanding of the NuLink network, the [**NuLink SDK**](/products/dapp_builders/sdk_api.md) offers more fundamental operations for developing privacy-focused applications.

* [**NuLink SDK Demo:**](/products/dapp_builders/sdk_api/sdk_example.md) This Dapp serves as an illustrative example for third-party users, demonstrating how they can incorporate the NuLink SDK to enhance interaction with their own applications. The demo showcases the integration of the NuLink SDK, enabling features such as encrypted file uploads, privacy sharing, and targeted user downloads. The SDK demo consists of two parts: the first part demonstrates the process of integrating encrypted privacy sharing, while the second part showcases the utilization of the web interface to encrypt and upload files to the distributed network for specified users. By integrating the SDK, developers can harness the capabilities of the NuLink network for secure document transfers and data sharing.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nulink.org/products/dapp_builders.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
